<?php

/* 
 * This file is part of a project by YOUHEY Communication AG.
 * Unless otherwise stated, all rights are held by the author.
 */

use B13\Container\Tca\ContainerConfiguration;
use B13\Container\Tca\Registry;
use TYPO3\CMS\Core\Utility\GeneralUtility;

GeneralUtility::makeInstance(Registry::class)->configureContainer(
	(
		new ContainerConfiguration(
			'container_100', // CType
			'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.100', // label
			'', // description
			[
				[
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.content',
								'colPos' => 100,
							],
					],
				] // grid configuration
		)
	)
	// override default configurations
	->setIcon('EXT:containerconfig/Resources/Public/Icons/Icon_100.svg')
	->setSaveAndCloseInNewContentElementWizard(false)
);

$GLOBALS['TCA']['tt_content']['types']['container_100']['showitem']
	= '--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:general, --palette--;;general, --palette--;;headers, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.appearance, --palette--;;frames, --palette--;;appearanceLinks, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language, --palette--;;language, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access, --palette--;;hidden, --palette--;;access, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:categories, categories, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:notes, rowDescription, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:extended,';

GeneralUtility::makeInstance(Registry::class)->configureContainer(
	(
		new ContainerConfiguration(
			'container_50-50', // CType
			'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.50-50', // label
			'', // description
			[
				[
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentLeft',
								'colPos' => 100,
							],
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentRight',
								'colPos' => 101,
							],
					],
				] // grid configuration
		)
	)
	// override default configurations
	->setIcon('EXT:containerconfig/Resources/Public/Icons/Icon_50_50.svg')
	->setSaveAndCloseInNewContentElementWizard(false)
);

$GLOBALS['TCA']['tt_content']['types']['container_50-50']['showitem']
	= '--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:general, --palette--;;general, --palette--;;headers, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.appearance, --palette--;;frames, --palette--;;appearanceLinks, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language, --palette--;;language, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access, --palette--;;hidden, --palette--;;access, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:categories, categories, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:notes, rowDescription, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:extended,';


GeneralUtility::makeInstance(Registry::class)->configureContainer(
	(
		new ContainerConfiguration(
			'container_3x33', // CType
			'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.3x33', // label
			'', // description
			[
				[
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentLeft',
								'colPos' => 100,
							],
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentMiddle',
								'colPos' => 101,
							],
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentRight',
								'colPos' => 102,
							],
					],
				] // grid configuration
		)
	)
	// override default configurations
	->setIcon('EXT:containerconfig/Resources/Public/Icons/Icon_33_33_33.svg')
	->setSaveAndCloseInNewContentElementWizard(false)
);

$GLOBALS['TCA']['tt_content']['types']['container_3x33']['showitem']
	= '--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:general, --palette--;;general, --palette--;;headers, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.appearance, --palette--;;frames, --palette--;;appearanceLinks, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language, --palette--;;language, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access, --palette--;;hidden, --palette--;;access, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:categories, categories, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:notes, rowDescription, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:extended,';


GeneralUtility::makeInstance(Registry::class)->configureContainer(
	(
		new ContainerConfiguration(
			'container_66-33', // CType
			'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.66-33', // label
			'', // description
			[
				[
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentLeft',
								'colPos' => 100,
								'colspan' => 2,
							],
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentRight',
								'colPos' => 101,
							],
					],
				] // grid configuration
		)
	)
	// override default configurations
	->setIcon('EXT:containerconfig/Resources/Public/Icons/Icon_66_33.svg')
	->setSaveAndCloseInNewContentElementWizard(false)
);

$GLOBALS['TCA']['tt_content']['types']['container_66-33']['showitem']
	= '--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:general, --palette--;;general, --palette--;;headers, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.appearance, --palette--;;frames, --palette--;;appearanceLinks, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language, --palette--;;language, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access, --palette--;;hidden, --palette--;;access, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:categories, categories, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:notes, rowDescription, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:extended,';


GeneralUtility::makeInstance(Registry::class)->configureContainer(
	(
		new ContainerConfiguration(
			'container_33-66', // CType
			'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.33-66', // label
			'', // description
			[
				[
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentLeft',
								'colPos' => 100,
							],
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.contentRight',
								'colPos' => 101,
								'colspan' => 2,
							],
					],
				] // grid configuration
		)
	)
	// override default configurations
	->setIcon('EXT:containerconfig/Resources/Public/Icons/Icon_33_66.svg')
	->setSaveAndCloseInNewContentElementWizard(false)
);

$GLOBALS['TCA']['tt_content']['types']['container_33-66']['showitem']
	= '--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:general, --palette--;;general, --palette--;;headers, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.appearance, --palette--;;frames, --palette--;;appearanceLinks, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language, --palette--;;language, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access, --palette--;;hidden, --palette--;;access, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:categories, categories, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:notes, rowDescription, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:extended,';


GeneralUtility::makeInstance(Registry::class)->configureContainer(
	(
		new ContainerConfiguration(
			'container_4x25', // CType
			'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.4x25', // label
			'', // description
			[
				[
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.column1',
								'colPos' => 100,
							],
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.column2',
								'colPos' => 101,
							],
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.column3',
								'colPos' => 102,
							],
						[
								'name' => 'LLL:EXT:containerconfig/Resources/Private/Language/locallang.xlf:container.column4',
								'colPos' => 103,
							],
					],
				] // grid configuration
		)
	)
	// override default configurations
	->setIcon('EXT:containerconfig/Resources/Public/Icons/Icon_25_25_25_25.svg')
	->setSaveAndCloseInNewContentElementWizard(false)
);

$GLOBALS['TCA']['tt_content']['types']['container_4x25']['showitem']
	= '--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:general, --palette--;;general, --palette--;;headers, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.appearance, --palette--;;frames, --palette--;;appearanceLinks, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language, --palette--;;language, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access, --palette--;;hidden, --palette--;;access, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:categories, categories, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:notes, rowDescription, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:extended,';
